package com.fr.plugin.xx.ltqc.auth.entity;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.Date;

/**
 * @Author xx
 * @Date 2022/2/14
 * @Description
 **/
@Entity
@Table(name = "plugin_role_path_auth") //表名
@TableAssociation(associated = true)
public class RolePathAuthEntity extends BaseEntity {

    @Column(name = "role")
    private String role;
    @Column(name = "path")
    private String path;
    @Column(name = "create_time")
    private Date createTime;
    @Column(name = "create_user")
    private String createUser;

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public String toString() {
        return "RolePathAuthEntity{" +
                "role='" + role + '\'' +
                ", path='" + path + '\'' +
                ", createTime=" + createTime +
                ", createUser='" + createUser + '\'' +
                '}';
    }
}
