package com.fr.plugin.xx.ltqc.auth;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.xx.ltqc.auth.dao.RolePathAuthDao;
import com.fr.plugin.xx.ltqc.auth.entity.RolePathAuthEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author xx
 * @Date 2020/11/29
 **/
public class AuthDBAccessProvider extends AbstractDBAccessProvider {

    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return RolePathAuthEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return RolePathAuthDao.class;
                    }
                },
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        AuthDBAccessProvider.dbAccessor = dbAccessor;
    }
}
