package com.fr.plugin.xx.ltqc.auth;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.plugin.xx.ltqc.auth.handler.*;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.stable.fun.Authorize;

/**
 * @author xx
 * @since 2021/07/28
 */
@FunctionRecorder
@Authorize(callSignKey = Constants.PLUGIN_ID)
public class RequestHandlerBridge extends AbstractHttpHandlerProvider {
    @Override
    public HttpHandler[] registerHandlers() {
        return new HttpHandler[]{
                new CptListHandler(),
                new AddRoleHandler(),
                new DelRoleHandler(),
                new EditRoleHandler(),
                new AddUserHandler(),
        };
    }
}
