package com.fr.plugin.xx.ltqc.auth;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;

/**
 * @author xx
 * @since 2021/07/28
 */
public class RequestURLAliasBridge extends AbstractURLAliasProvider {
    @Override
    public URLAlias[] registerAlias() {
        return new URLAlias[]{
                URLAliasFactory.createPluginAlias("/cpt/list", "/cpt/list", false),
                URLAliasFactory.createPluginAlias("/auth/addRole", "/auth/addRole", false),
                URLAliasFactory.createPluginAlias("/auth/editRole", "/auth/editRole", false),
                URLAliasFactory.createPluginAlias("/auth/addUser", "/auth/addUser", false),
                URLAliasFactory.createPluginAlias("/auth/delRole", "/auth/delRole", false),
        };
    }
}
